Bug 1293074 - When Wayland is enabled. System Boot hangs.
When Wayland is enabled. System Boot hangs.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wayland (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-19 18:07 EST by Brendan Shephard
Modified: 2016-12-20 12:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:11:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brendan Shephard 2015-12-19 18:07:38 EST
Description of problem:
When Wayland is enabled in /etc/gdm/custom.conf, system will hang on "Starting user manager for UID 42.

Version-Release number of selected component (if applicable):


How reproducible:
Every boot.

Steps to Reproduce:
1.Hash out Wayland Enable = false in /etc/gdm/custom.conf
2.reboot
3.

Actual results:
System hangs on Starting User manager for UID 42

Expected results:
System would boot.

Additional info:
System boots if Wayland enable = false is added to the /etc/gdm/custom.conf file.
Comment 1 Brendan Shephard 2015-12-19 18:16:32 EST
[shep@fedora ~] $ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation 4th Gen Core Processor Integrated Graphics Controller (rev 06)
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Mars [Radeon HD 8730M] (rev ff)

[shep@fedora ~] $ lsmod | grep radeon
radeon               1515520  2
i2c_algo_bit           16384  2 i915,radeon
drm_kms_helper        118784  2 i915,radeon
ttm                    90112  1 radeon
drm                   335872  11 ttm,i915,drm_kms_helper,radeon
Comment 2 Fedora End Of Life 2016-11-24 09:22:56 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 12:11:26 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.